Bug 292301 - ctlinnd newgroup doesn't create spool dir
ctlinnd newgroup doesn't create spool dir
Product: Fedora
Classification: Fedora
Component: inn (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-16 00:38 EDT by Jonathan Kamens
Modified: 2009-06-24 03:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-24 03:20:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2007-09-16 00:38:43 EDT
With inn-2.4.3-6.fc6 and tradspool configured for all newsgroups in
storage.conf, "ctlinnd newgroup whatever" creates the active file entry but
doesn't create the spool directory.  I'm pretty sure it used to create the spool
directory correctly.
Comment 1 Bug Zapper 2008-05-13 23:14:05 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 2 Ondrej Vasik 2008-10-09 07:14:22 EDT
Sorry for so long time response, I completely missed that bugzilla when got maintainance of inn... Do you still have those troubles with current inn (F9 or devel)? Do you know (at least approximate) version where it worked correctly? Thanks for answer.
Comment 3 Jonathan Kamens 2008-10-10 08:11:03 EDT
I cannot test this with a newer version of INN, as the platform on which I am currently running INN is RHEL based rather than Fedora base.  Please try it out yourself to see if it is still a problem.
Comment 4 Ondrej Vasik 2008-10-10 15:19:09 EDT
Thanks, so no such troubles with RHEL-5 INN? Good to know ...  Will try with F9/Rawhide INN ...
Comment 5 Jonathan Kamens 2008-10-10 15:45:09 EDT
No, you misunderstand, it IS still a problem with RHEL.
Comment 6 Bug Zapper 2009-06-09 18:50:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Ondrej Vasik 2009-06-24 03:20:43 EDT
Julien ÉLIE from upstream wrote me email about that issue:
"It is normal.  The behaviour is to create the tradspool directory upon receiving
the first article.  No need to before.
INN 2.4 and INN 2.5 behave this way.  I do not know what happened before.
Please note that there isn't any problem if the directory does not exist."

Based on it, closing it NOTABUG, anyway thanks for report.

Note You need to log in before you can comment on or make changes to this bug.